> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# assume_role_parameters

# `prefect_aws.assume_role_parameters`

Module handling Assume Role parameters

## Classes

### `AssumeRoleParameters` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/integrations/prefect-aws/prefect_aws/assume_role_parameters.py#L10" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

Model used to manage parameters for the AWS STS assume\_role call.
Refer to the
[boto3 STS assume\_role docs](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/sts/client/assume_role.html)
for more information about the possible assume role configurations.

**Attributes:**

* `RoleSessionName`: An identifier for the assumed role session.
  This value is used to uniquely identify a session when the same role
  is assumed by different principals or for different reasons.
  If not provided, a default will be generated.
* `DurationSeconds`: The duration, in seconds, of the role session.
  The value can range from 900 seconds (15 minutes) to 43,200 seconds (12 hours).
* `Policy`: An IAM policy in JSON format that you want to use as an inline session policy.
* `PolicyArns`: The ARNs of the IAM managed policies to use as managed session policies.
  Each item should be a dict with an 'arn' key.
* `Tags`: A list of session tags. Each tag should be a dict with 'Key' and 'Value' keys.
* `TransitiveTagKeys`: A list of keys for session tags that you want to set as transitive.
  Transitive tags persist during role chaining.
* `ExternalId`: A unique identifier that is used by third parties to assume a role
  in their customers' accounts.
* `SerialNumber`: The identification number of the MFA device that is associated
  with the user who is making the AssumeRole call.
* `TokenCode`: The value provided by the MFA device, if MFA authentication is required.
* `SourceIdentity`: The source identity specified by the principal that is calling
  the AssumeRole operation.
* `ProvidedContexts`: A list of context information. Each context should be a dict
  with 'ProviderArn' and 'ContextAssertion' keys.

**Methods:**

#### `get_params_override` <sup><a href="https://github.com/PrefectHQ/prefect/blob/main/src/integrations/prefect-aws/prefect_aws/assume_role_parameters.py#L141" target="_blank"><Icon icon="github" style="width: 14px; height: 14px;" /></a></sup>

```python  theme={null}
get_params_override(self) -> Dict[str, Any]
```

Return the dictionary of the parameters to override.
The parameters to override are the ones which are not None.


Built with [Mintlify](https://mintlify.com).